<!-- Andriy Andrusevych
IT Generation
API JASON Nasa-->
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<style>
		.grid__img{
			width: 300px;
		}
		.grid{
			display: grid;
			width: 80%;
			grid-template-columns: 1fr 1fr 1fr;
			grid-gap: 25px;
			margin: auto;
		}
	</style>
</head>
<body>
	<div class="grid"></div>
	<script>
		let data; 
		fetch('https://api.nasa.gov/mars-photos/api/v1/rovers/curiosity/photos?sol=100&api_key=3LDcUQZTCw3gYEzvE9j5IJQhaG3Htq76M1TuGY6B')
      .then(response => response.json())
      .then(json => data = json);


      const grid = document.querySelector('.grid');
	  
      setTimeout(function(){
      	let dataArr = data.photos;
		  data.photos.forEach(function(el){
			let html = `
			<div class="grid__item">
				<img src="${el.img_src}" class="grid__img" alt="">
				<div class="grid__name">Rover: ${el.rover.name}</div>
				<div class="grid__date">Earth date: ${el.earth_date}</div>
				<div class="grid__field">Camera: ${el.camera.name}</div>

			</div>
			`
			grid.insertAdjacentHTML('beforeend', html);
		})

      },1500)
     </script>
</body>
</html>